Bug 435063 - Xenner fails to identify TAP device because libvirt does not configure MAC address
Xenner fails to identify TAP device because libvirt does not configure MAC ad...
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
Depends On:
Blocks: LibvirtXenner
  Show dependency treegraph
Reported: 2008-02-26 23:10 EST by Daniel Berrange
Modified: 2008-03-13 17:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-13 17:38:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-02-26 23:10:33 EST
Description of problem:
Xenner needs to know the name of the TAP devices used for guest networking. When
the libvirt QEMU driver invokes Xenner it merely passes a file descriptor.
Xenner turns this into a interface name by querying each network interface in
turn looking for  one with matching mac address.

libvirt though does not set the MAC address on the tap device it creates, so
Xenner never finds the matching device. The QEMU driver can simply set the MAC
address on the TAP device before invoking Xenner.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Berrange 2008-02-27 17:19:16 EST
Patch posted upstream:

Comment 2 Daniel Berrange 2008-03-13 17:38:32 EDT
Fixed in rawhide in combination of


Now pass explicit tap device name using ifname=  param

Note You need to log in before you can comment on or make changes to this bug.